> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get valorantv2esportsvlrplayers



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v2/esports/vlr/players/{player_id}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
paths:
  /valorant/v2/esports/vlr/players/{player_id}:
    get:
      tags:
        - valorant
      operationId: esports_player_v2
      parameters:
        - name: player
          in: path
          required: true
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: timespan
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/EsportsV2PlayerTimespan'
          style: form
      responses:
        '200':
          description: Esports player profile retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EsportsV2PlayerResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    EsportsV2PlayerTimespan:
      type: string
      enum:
        - 30d
        - 60d
        - 90d
        - all
    EsportsV2PlayerResponse:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/EsportsV2Player'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    EsportsV2Player:
      type: object
      required:
        - id
        - name
        - socials
        - current_teams
        - past_teams
        - agent_stats
        - event_placements
      properties:
        agent_stats:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2PlayerAgentStats'
        avatar:
          type:
            - string
            - 'null'
        country:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/EsportsV2Country'
        current_teams:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2PlayerTeam'
        event_placements:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2EventPlacement'
        id:
          type: integer
          format: int32
          minimum: 0
        name:
          type: string
        past_teams:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2PlayerTeam'
        real_name:
          type:
            - string
            - 'null'
        socials:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2Social'
        total_winnings:
          type:
            - string
            - 'null'
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    EsportsV2PlayerAgentStats:
      type: object
      required:
        - agent
        - usage
        - stats
      properties:
        agent:
          type: string
        stats:
          $ref: '#/components/schemas/EsportsV2AgentPerformanceStats'
        usage:
          $ref: '#/components/schemas/EsportsV2AgentUsage'
    EsportsV2Country:
      type: object
      required:
        - name
        - code
      properties:
        code:
          type: string
        name:
          type: string
    EsportsV2PlayerTeam:
      type: object
      required:
        - id
        - name
        - logo
      properties:
        id:
          type: integer
          format: int32
          minimum: 0
        logo:
          type: string
        name:
          type: string
    EsportsV2EventPlacement:
      type: object
      required:
        - event
        - placements
        - year
      properties:
        event:
          $ref: '#/components/schemas/EsportsV2PlacementEvent'
        placements:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2PlacementEntry'
        year:
          type: string
    EsportsV2Social:
      type: object
      required:
        - platform
        - url
      properties:
        platform:
          type: string
        url:
          type: string
    EsportsV2AgentPerformanceStats:
      type: object
      required:
        - rating
        - acs
        - kd
        - adr
        - kast
        - kpr
        - apr
        - fkpr
        - fdpr
        - kills
        - deaths
        - assists
        - first_kills
        - first_deaths
      properties:
        acs:
          type: number
          format: float
        adr:
          type: number
          format: float
        apr:
          type: number
          format: float
        assists:
          type: integer
          format: int32
          minimum: 0
        deaths:
          type: integer
          format: int32
          minimum: 0
        fdpr:
          type: number
          format: float
        first_deaths:
          type: integer
          format: int32
          minimum: 0
        first_kills:
          type: integer
          format: int32
          minimum: 0
        fkpr:
          type: number
          format: float
        kast:
          type: number
          format: float
        kd:
          type: number
          format: float
        kills:
          type: integer
          format: int32
          minimum: 0
        kpr:
          type: number
          format: float
        rating:
          type: number
          format: float
    EsportsV2AgentUsage:
      type: object
      required:
        - count
        - percentage
        - rounds
      properties:
        count:
          type: integer
          format: int32
          minimum: 0
        percentage:
          type: number
          format: float
        rounds:
          type: integer
          format: int32
          minimum: 0
    EsportsV2PlacementEvent:
      type: object
      required:
        - id
        - slug
        - name
      properties:
        id:
          type: integer
          format: int32
          minimum: 0
        name:
          type: string
        slug:
          type: string
    EsportsV2PlacementEntry:
      type: object
      required:
        - stage
        - placement
      properties:
        placement:
          type: string
        prize:
          type:
            - string
            - 'null'
        stage:
          type: string
        team:
          type:
            - string
            - 'null'

````